<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\HandleAnmeldung;

class HandleAnmeldungController extends \Kufer\Web\KuferTools\Basis\Anmeldung\HandleAnmeldung\HandleAnmeldungController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleAnmeldungUseCase(
      $this->getRequestObj()
    );
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new \Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\AnmeldeFormular\AnmeldeFormularController($pUseCaseResponse->anmeldeStatus);
  }
}